Bug 218962 - mount in util-linux-2.13-0.20.4 doesn't handle directory order correctly
mount in util-linux-2.13-0.20.4 doesn't handle directory order correctly
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-08 13:40 EST by H.J. Lu
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-30 17:42:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description H.J. Lu 2006-12-08 13:40:55 EST
I have installed several versions of Linux on my machines. After installing
FC 6 i386, my /etc/fstab is

LABEL=/1                /                       ext3    defaults        1 1
LABEL=/boot1            /boot                   ext3    defaults        1 2
devpts                  /dev/pts                devpts  gid=5,mode=620  0 0
tmpfs                   /dev/shm                tmpfs   defaults        0 0
LABEL=/export           /export                 ext3    defaults        1 2
LABEL=/mnt/os2/boot     /mnt/fc5/x86_64/boot    ext3    defaults        1 2
LABEL=/mnt/os2          /mnt/fc5/x86_64         ext3    defaults        1 2
LABEL=/                 /mnt/rhel5/x86_64       ext3    defaults        1 2
LABEL=/boot             /mnt/rhel5/x86_64/boot  ext3    defaults        1 2
proc                    /proc                   proc    defaults        0 0
sysfs                   /sys                    sysfs   defaults        0 0
LABEL=SWAP-sda9         swap                    swap    defaults        0 0

/mnt/fc5/x86_64/boot is listed before /mnt/fc5/x86_64 since
FC 5 is installed on LABEL=/mnt/os2/boot (sda2 ) and LABEL=/mnt/os2
(sda5). But mount can't handle it correctly, I got

Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/sda6              9523724   2789276   6242864  31% /
/dev/sda3                77771     14388     59367  20% /boot
tmpfs                   512684         0    512684   0% /dev/shm
/dev/sda8             45643556  26004904  17320076  61% /export
/dev/sda2              9523724   7088548   1943592  79% /mnt/fc5/x86_64/boot
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
/dev/sda5              9523724   7088548   1943592  79% /mnt/fc5/x86_64
/dev/sda7              9523724   6655168   2376972  74% /mnt/rhel5/x86_64
/dev/sda1                77749     26958     46777  37% /mnt/rhel5/x86_64/boot

I had to change /etc/fstab by hand, moving /mnt/fc5/x86_64 before
/mnt/fc5/x86_64/boot.
Comment 1 Chris Lumens 2006-12-12 11:10:47 EST
Would it be possible for you to test with Rawhide?  I've made two modifications
to the sort order for /etc/fstab since FC6 went out.  These were primarily to
fix bind mount problems, but it should affect you as well.

Note You need to log in before you can comment on or make changes to this bug.